## org.eclipse.emf.mapping.ecore2xml
Class Ecore2XMLRegistry.Reader.Ecore2XMLDescriptor

    java.lang.Object
      org.eclipse.emf.mapping.ecore2xml.Ecore2XMLRegistry.Reader.Ecore2XMLDescriptor

All Implemented Interfaces:
  Ecore2XMLRegistry.Descriptor

Enclosing class:
  Ecore2XMLRegistry.Reader

    protected static class Ecore2XMLRegistry.Reader.Ecore2XMLDescriptor

extends java.lang.Object
implements Ecore2XMLRegistry.Descriptor

Constructor Summary
`protected` `Ecore2XMLRegistry.Reader.Ecore2XMLDescriptor(IConfigurationElement element)`

Method Summary
`XMLResource.XMLMap` `getXMLMap()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Ecore2XMLRegistry.Reader.Ecore2XMLDescriptor

    protected Ecore2XMLRegistry.Reader.Ecore2XMLDescriptor(IConfigurationElement element)

Method Detail

### getXMLMap

    public XMLResource.XMLMap getXMLMap()

  Specified by:
    `getXMLMap` in interface `Ecore2XMLRegistry.Descriptor`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.